@charset "utf-8";

.balloon1,
.balloon2,
.stmp1,
.stmp2,
.line_img {
	opacity: 0;
	transform: translate(0, 20px);
	transition: all 0.2s;
}

.show {
	opacity: 1;
	transform: translate(0, 0) scale(1, 1);
}

.line__wrapper {
	width: 100%;
	height: auto;
	position: relative;
	margin: 0 auto;
	padding: 40px 8px 80px;
}

.line__wrapper::before {
	content: '';
	width: 100%;
	height: 100%;
	background-color: var(--main);
	position: fixed;
	top: 0;
	left: 0;
	z-index: -1;
}

.line__wrapper::after {
	content: '';
	width: 100%;
	height: 100%;
	background-image: var(--grad);
	position: fixed;
	top: 0;
	left: 0;
	z-index: -1;
	opacity: 0.2;
}

.clearfix::after {
	content: '';
	display: table;
	clear: both;
}

.line_data {
	clear: both;
	background: rgba(0, 0, 0, 0.1);
	color: white;
	display: inline-block;
	padding: 0 1em;
	font-size: 0.8em;
	line-height: 1.6em;
	text-align: center;
	border-radius: 0.8em;
	margin-bottom: 2em;
}

.clear_line {
	clear: both;
}

/* 吹き出し本体1 */
.balloon1 {
	clear: both;
	float: left;
	display: inline-block;
	position: relative;
	width: auto;
	max-width: 60%;
	margin-top: 1em;
	margin-bottom: 1em;
	padding: 10px;
	border-radius: 10px;
	color: #333;
	background-color: white;
	margin-left: 60px;
}
.balloon1 + .balloon1 {
	margin-top: -0.5em;
}

/* 三角アイコン1 */
.balloon1::before {
	content: '';
	position: absolute;
	display: block;
	width: 0;
	height: 0;
	left: -10px;
	top: 8px;
	border-right: 10px solid white;
	border-top: 0 solid transparent;
	border-bottom: 10px solid transparent;
}
.balloon1 + .balloon1::before {
	content: none;
}

.balloon1::after,
.stmp1::after,
.line_img::after {
	content: attr(data-time);
	position: absolute;
	font-size: 0.8em;
	bottom: -0.5em;
	right: -3em;
	color: var(--black);
}

/* 画像 - 絶対配置で左上に配置 */
.balloon1 .icon {
	position: absolute;
	left: -60px;
	top: 0;
	width: 40px;
	height: 40px;
	border-radius: 50%;
	background-size: cover;
	background-position: center center;
	background-color: white;
	background-image: url('./img/voice/teacher01r.webp');
}
.balloon1 + .balloon1 .icon {
	display: none;
}
.balloon1 a {
	color: var(--accent);
	text-decoration: underline;
}
.balloon1 .icon.t-01 {
	background-image: url('./img/voice/teacher01r.webp');
}
.balloon1 .icon.t-02 {
	background-image: url('./img/voice/teacher02r.webp');
}
.balloon1 .icon.t-03 {
	background-image: url('./img/voice/teacher03r.webp');
}
.balloon1 .icon.t-04 {
	background-image: url('./img/voice/teacher04r.webp');
}
.balloon1 .icon.t-05 {
	background-image: url('./img/voice/teacher05r.webp');
}
.balloon1 .icon.t-06 {
	background-image: url('./img/voice/teacher06r.webp');
}

/* 吹き出し本体2 */
.balloon2 {
	position: relative;
	display: inline-block;
	width: auto;
	max-width: 70%;
	margin-top: 0.5em;
	margin-bottom: 1em;
	margin-right: 10px;
	clear: both;
	float: right;
	padding: 10px;
	border-radius: 10px;
	color: #000;
	color: #fff;
	background-color: var(--blue);
	/* background-color: #cd5c5c; */
}

/* 三角アイコン2 */
.balloon2::before {
	content: '';
	position: absolute;
	display: block;
	width: 0;
	height: 0;
	right: -10px;
	top: 8px;
	border-left: 10px solid var(--blue);
	/* border-left: 10px solid #cd5c5c; */
	border-top: 0 solid transparent;
	border-bottom: 10px solid transparent;
}

.balloon2::after,
.stmp2::after {
	content: '既読\A' attr(data-time);
	/* content: attr(data-time); */
	white-space: pre;
	position: absolute;
	font-size: 0.8em;
	bottom: -0.3em;
	left: -3em;
	color: var(--black);
}
.stmp1 {
	clear: both;
	float: left;
	width: 50%;
	max-width: 280px;
	margin-left: 60px;
	margin-top: 1em;
	margin-bottom: 2em;
	line-height: 1em;
}
.stmp2 {
	clear: both;
	float: right;
	width: 50%;
	max-width: 280px;
	margin-right: 15px;
	margin-top: 2em;
	margin-bottom: 2em;
	line-height: 1em;
}

.line_img {
	clear: both;
	float: left;
	width: 58%;
	max-width: 370px;
	margin-left: 60px;
	margin-top: 1em;
	margin-bottom: 1em;
	line-height: 1em;
}

.line_img img {
	border-radius: 10px;
}

.line_head {
	position: fixed;
	display: flex;
	flex-direction: row;
	flex-wrap: nowrap;
	justify-content: space-between;
	align-items: center;
	top: 0;
	left: 0;
	width: 100%;
	height: 40px;
	background: transparent;
	color: white;
	line-height: 40px;
	text-align: center;
	padding: 0 1em;
}
.line_head__center {
	font-size: 10px;
	position: relative;
}

.line_foot {
	position: fixed;
	bottom: 0;
	left: 0;
	width: 100%;
	height: 40px;
	background: transparent;
	text-align: center;
	line-height: 40px;
	/* color: white; */
}

.line_close_text {
	padding: 0 1em;
	border-radius: 0.5em;
	margin-right: -10px;
	/* background: white; */
	color: #333;
}
